from mapies.viirs import VIIRS
import time
# from dask.distributed import Client


if __name__ == "__main__":
    # Change these variables


    start_date = "202401010000"
    end_date = "202401020000"
    outdir="/esarchive/scratch/cmeikle/"
    indir="/esarchive/obs/nasa/viirs_noaa20_aerdb_l2/original_files/VIIRS"
    c = VIIRS(start_date, end_date, frequency="D", dest=outdir, indir=indir, apply_qa=True, grid_repr="regular")
    c.read_nc()
    c.process_data(monthly_avg=False, batch_size = 10)
    #c.plot_2D_obs()
    c.plot_2D_observations(months=[0], outdir=outdir)
    c.plot_2D_num_obs(months=[0], outdir=outdir)


